IOSS 2.0

Functions | Variables
anonymous_namespace{Ioss_Utils.C} Namespace Reference

## Functions
size_t | MAX (size_t a, size_t b)
void | show_step (int istep, double time, bool verbose, int rank)
void | transfer_nodeblock (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_structuredblocks (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_elementblocks (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_edgeblocks (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_faceblocks (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_nodesets (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_edgesets (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_facesets (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_elemsets (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_sidesets (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_commsets (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
void | transfer_coordinate_frames (Ioss::Region &region, Ioss::Region &output_region, bool debug, bool verbose, int rank)
template<typename T >
void | transfer_fields (const std::vector< T *> &entities, Ioss::Region &output_region, Ioss::Field::RoleType role, const Ioss::MeshCopyOptions &options, int rank)
void | transfer_fields (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const std::string &prefix="")
template<typename T >
void | transfer_field_data (const std::vector< T *> &entities, Ioss::Region &output_region, Ioss::Field::RoleType role, const Ioss::MeshCopyOptions &options)
void | transfer_field_data (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const Ioss::MeshCopyOptions &options, const std::string &prefix="")
void | transfer_properties (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge)
void | transfer_qa_info (Ioss::Region &in, Ioss::Region &out)
void | transfer_field_data_internal (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, const std::string &field_name, const Ioss::MeshCopyOptions &options)
template<typename INT >
void | set_owned_node_count (Ioss::Region &region, int my_processor, INT dummy)
int | to_lower (int c)
int | to_upper (int c)
bool | is_separator (const char separator, const char value)
size_t | match (const char *name1, const char *name2)
void | field_tokenize (const std::string &str, const char separator, std::vector< std::string > &tokens)
const Ioss::VariableType * | match_composite_field (char **names, Ioss::IntVector &which_names, const char suffix_separator)
const Ioss::VariableType * | match_single_field (char **names, Ioss::IntVector &which_names, const char suffix_separator)
Ioss::Field | get_next_field (char **names, int num_names, size_t count, Ioss::Field::RoleType fld_role, const char suffix_separator, int *truth_table)
bool | define_field (size_t nmatch, size_t match_length, char **names, std::vector< Ioss::Suffix > &suffices, size_t entity_count, Ioss::Field::RoleType fld_role, std::vector< Ioss::Field > &fields)
std::string | two_letter_hash (const char *symbol)
| Hash function from Aho, Sethi, Ullman "Compilers: Principles, Techniques, and Tools. Page 436. More...
template<typename T >
void | transfer_blocks (const std::vector< T *> &blocks, Ioss::Region &output_region, bool debug, bool verbose, int rank)
template<typename T >
void | transfer_sets (const std::vector< T *> &sets, Ioss::Region &output_region, bool debug, bool verbose, int rank)

## Variables
size_t | max_field_size = 0
std::vector< char > | data
std::vector< int > | data_int
std::vector< int64_t > | data_int64
std::vector< double > | data_double
std::vector< Complex > | data_complex
const int | tab64 [64]

## Function Documentation

## ◆ define_field()

bool anonymous_namespace{Ioss_Utils.C}::define_field | ( | size_t | nmatch,
|  | size_t | match_length,
|  | char ** | names,
|  | std::vector< Ioss::Suffix > & | suffices,
|  | size_t | entity_count,
|  | Ioss::Field::RoleType | fld_role,
|  | std::vector< Ioss::Field > & | fields
| ) |  |

## ◆ field_tokenize()

void anonymous_namespace{Ioss_Utils.C}::field_tokenize | ( | const std::string & | str,
|  | const char | separator,
|  | std::vector< std::string > & | tokens
| ) |  |

## ◆ get_next_field()

Ioss::Field anonymous_namespace{Ioss_Utils.C}::get_next_field | ( | char ** | names,
|  | int | num_names,
|  | size_t | count,
|  | Ioss::Field::RoleType | fld_role,
|  | const char | suffix_separator,
|  | int * | truth_table
| ) |  |

## ◆ is_separator()

bool anonymous_namespace{Ioss_Utils.C}::is_separator | ( | const char | separator,
|  | const char | value
| ) |  |

## ◆ match()

size_t anonymous_namespace{Ioss_Utils.C}::match | ( | const char * | name1,
|  | const char * | name2
| ) |  |

## ◆ match_composite_field()

const Ioss::VariableType* anonymous_namespace{Ioss_Utils.C}::match_composite_field | ( | char ** | names,
|  | Ioss::IntVector & | which_names,
|  | const char | suffix_separator
| ) |  |

## ◆ match_single_field()

const Ioss::VariableType* anonymous_namespace{Ioss_Utils.C}::match_single_field | ( | char ** | names,
|  | Ioss::IntVector & | which_names,
|  | const char | suffix_separator
| ) |  |

## ◆ MAX()

size_t anonymous_namespace{Ioss_Utils.C}::MAX | ( | size_t | a,
|  | size_t | b
| ) |  |

## ◆ set_owned_node_count()

template<typename INT >

void anonymous_namespace{Ioss_Utils.C}::set_owned_node_count | ( | Ioss::Region & | region,
|  | int | my_processor,
|  | INT | dummy
| ) |  |

## ◆ show_step()

void anonymous_namespace{Ioss_Utils.C}::show_step | ( | int | istep,
|  | double | time,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ to_lower()

int anonymous_namespace{Ioss_Utils.C}::to_lower | ( | int | c | ) |
| inline

## ◆ to_upper()

int anonymous_namespace{Ioss_Utils.C}::to_upper | ( | int | c | ) |
| inline

## ◆ transfer_blocks()

template<typename T >

void anonymous_namespace{Ioss_Utils.C}::transfer_blocks | ( | const std::vector< T *> & | blocks,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_commsets()

void anonymous_namespace{Ioss_Utils.C}::transfer_commsets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_coordinate_frames()

void anonymous_namespace{Ioss_Utils.C}::transfer_coordinate_frames | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_edgeblocks()

void anonymous_namespace{Ioss_Utils.C}::transfer_edgeblocks | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_edgesets()

void anonymous_namespace{Ioss_Utils.C}::transfer_edgesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_elementblocks()

void anonymous_namespace{Ioss_Utils.C}::transfer_elementblocks | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_elemsets()

void anonymous_namespace{Ioss_Utils.C}::transfer_elemsets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_faceblocks()

void anonymous_namespace{Ioss_Utils.C}::transfer_faceblocks | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_facesets()

void anonymous_namespace{Ioss_Utils.C}::transfer_facesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_field_data() [1/2]

template<typename T >

void anonymous_namespace{Ioss_Utils.C}::transfer_field_data | ( | const std::vector< T *> & | entities,
|  | Ioss::Region & | output_region,
|  | Ioss::Field::RoleType | role,
|  | const Ioss::MeshCopyOptions & | options
| ) |  |

## ◆ transfer_field_data() [2/2]

void anonymous_namespace{Ioss_Utils.C}::transfer_field_data | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | Ioss::Field::RoleType | role,
|  | const Ioss::MeshCopyOptions & | options,
|  | const std::string & | prefix = `""`
| ) |  |

## ◆ transfer_field_data_internal()

void anonymous_namespace{Ioss_Utils.C}::transfer_field_data_internal | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | const std::string & | field_name,
|  | const Ioss::MeshCopyOptions & | options
| ) |  |

## ◆ transfer_fields() [1/2]

template<typename T >

void anonymous_namespace{Ioss_Utils.C}::transfer_fields | ( | const std::vector< T *> & | entities,
|  | Ioss::Region & | output_region,
|  | Ioss::Field::RoleType | role,
|  | const Ioss::MeshCopyOptions & | options,
|  | int | rank
| ) |  |

## ◆ transfer_fields() [2/2]

void anonymous_namespace{Ioss_Utils.C}::transfer_fields | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | Ioss::Field::RoleType | role,
|  | const std::string & | prefix = `""`
| ) |  |

## ◆ transfer_nodeblock()

void anonymous_namespace{Ioss_Utils.C}::transfer_nodeblock | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_nodesets()

void anonymous_namespace{Ioss_Utils.C}::transfer_nodesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_properties()

void anonymous_namespace{Ioss_Utils.C}::transfer_properties | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge
| ) |  |

## ◆ transfer_qa_info()

void anonymous_namespace{Ioss_Utils.C}::transfer_qa_info | ( | Ioss::Region & | in,
|  | Ioss::Region & | out
| ) |  |

## ◆ transfer_sets()

template<typename T >

void anonymous_namespace{Ioss_Utils.C}::transfer_sets | ( | const std::vector< T *> & | sets,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_sidesets()

void anonymous_namespace{Ioss_Utils.C}::transfer_sidesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ transfer_structuredblocks()

void anonymous_namespace{Ioss_Utils.C}::transfer_structuredblocks | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug,
|  | bool | verbose,
|  | int | rank
| ) |  |

## ◆ two_letter_hash()

std::string anonymous_namespace{Ioss_Utils.C}::two_letter_hash | ( | const char * | symbol | ) |

Hash function from Aho, Sethi, Ullman "Compilers: Principles, Techniques, and Tools. Page 436.

## Variable Documentation

## ◆ data

std::vector<char> anonymous_namespace{Ioss_Utils.C}::data

## ◆ data_complex

std::vector<Complex> anonymous_namespace{Ioss_Utils.C}::data_complex

## ◆ data_double

std::vector<double> anonymous_namespace{Ioss_Utils.C}::data_double

## ◆ data_int

std::vector<int> anonymous_namespace{Ioss_Utils.C}::data_int

## ◆ data_int64

std::vector<int64_t> anonymous_namespace{Ioss_Utils.C}::data_int64

## ◆ max_field_size

size_t anonymous_namespace{Ioss_Utils.C}::max_field_size = 0

## ◆ tab64

const int anonymous_namespace{Ioss_Utils.C}::tab64[64]

Initial value:
= {63, 0, 58, 1, 59, 47, 53, 2, 60, 39, 48, 27, 54, 33, 42, 3,
61, 51, 37, 40, 49, 18, 28, 20, 55, 30, 34, 11, 43, 14, 22, 4,
62, 57, 46, 52, 38, 26, 32, 41, 50, 36, 17, 19, 29, 10, 13, 21,
56, 45, 25, 31, 35, 16, 9, 12, 44, 24, 15, 8, 23, 7, 6, 5}